<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly     ?>
<div id="wpbody-content">
  <div class="wrap about-wrap full-width-layout">
    <div class="headline-feature">
      <div class="aligncenter">
        <img class="minimum_ps_right" src="<?php echo esc_url(plugins_url('backend/assets/img/8080logo.png', dirname(__FILE__))); ?>">
        <p><small><?php echo __('Version').' - '.PRSV_PLUGIN_VERSION; ?></small></p>
      </div>
      <h2>
        <?php _e('<strong>Customers</strong><br>are the heart of your business.<br><strong>Listen to.</strong>', 'perfect-survey') ?>
      </h2>
      <p class="lead-description">
        <?php _e('Thanks to Perfectsurvey, you can learn more about what your customers think about your products or services.', 'perfect-survey') ?>
      </p>
      <p>
        <?php _e('Within the editing form of the questionnaire, it will be possible to modify the graphics as colors, fonts, and dimensions. To allow you to have maximum graphic integration with your template.', 'perfect-survey') ?>
      </p>
      <div class="inline-svg aligncenter magnifi_ps_cent">
        <img alt="<?php _e('Perfectsurvey', 'perfect-survey') ?>" src="<?php echo esc_url(plugins_url('backend/assets/img/hero.png', dirname(__FILE__))); ?>">
      </div>
    </div>
    <hr>
    <div class="feature-section is-wide has-2-columns is-wider-left">
      <div class="column is-vertically-aligned-center">
        <h3><?php _e('Easy and fast', 'perfect-survey') ?></h3>
        <p>
          <?php _e('Thanks to the speed of the plugin, it will be possible to use it as soon as it is installed. The plugin does not provide any preliminary configuration, it is immediately ready to be used. Install, Create, Collect your customer’s data. It is a powerful tool and allows you to make the right decisions at any time. Perfect Survey, you can use it for: market surveys, understand the satisfaction of your customers for products, services, understand what you like and what is not the best way to improve your business.', 'perfect-survey') ?>
          </p>
        </div>
        <div class="column">
          <div class="inline-svg aligncenter">
            <img src="<?php echo esc_url(plugins_url('backend/assets/img/allphone-600x827.png', dirname(__FILE__))); ?>" alt="">
          </div>
        </div>
      </div>
      <hr>
      <br>
      <br>
      <div class="feature-section is-wide has-1-columns is-wider-left">
        <div class="column">
          <div class="inline-svg aligncenter magnifi_ps_cent">
            <img src="<?php echo esc_url(plugins_url('backend/assets/img/04_preview4.jpg', dirname(__FILE__))); ?>" alt="">
          </div>
        </div>
      </div>
      <hr>
      <div class="feature-section has-1-columns">
        <h2><?php _e('Surveys? Ever been so simple.', 'perfect-survey') ?></h2>
        <p class="about-description">
          <?php _e('With Perfect Survey plugin for WordPress you can create unlimited surveys on your website and you can know what people have about you thanks to the built-in advanced statistics.', 'perfect-survey') ?>
        </p>
      </div>
      <div class="feature-section has-3-columns is-fullwidth">
        <div class="column">
          <div class="image-iconer">
            <img alt="<?php _e('Create your group of questions.', 'perfect-survey') ?>" src="<?php echo esc_url(plugins_url('backend/assets/img/add-150x150.png', dirname(__FILE__))); ?>">
          </div>
          <h3><?php _e('Create your group of questions.', 'perfect-survey') ?></h3>
          <p>
            <?php _e('Thanks to the advanced questions editor with more than 15 different types of answers, creating your own survey is a simple, fast and easy. Give it a personalized style to make it more appealing.', 'perfect-survey') ?>
          </p>
        </div>
        <div class="column">
          <div class="image-iconer">
            <img alt="<?php _e('Post your new survey.', 'perfect-survey') ?>" src="<?php echo esc_url(plugins_url('backend/assets/img/save-150x150.png', dirname(__FILE__))); ?>">
          </div>
          <h3><?php _e('Post your new survey.', 'perfect-survey') ?></h3>
          <p>
            <?php _e('To publish your survey and start just copy and paste the shortcode on your page, article or widget to start collecting data. You will be happy with simplicity', 'perfect-survey') ?>
          </p>
        </div>
        <div class="column">
          <div class="image-iconer">
            <img alt="<?php _e('Collect and analyze statistics', 'perfect-survey') ?>" src="<?php echo esc_url(plugins_url('backend/assets/img/statistic-150x150.png', dirname(__FILE__))); ?>">
          </div>
          <h3><?php _e('Collect and analyze statistics', 'perfect-survey') ?></h3>
          <p>
            <?php _e('The integrated statistics system will allow you to do an in-depth analysis of the answers given by your customers or visitors. Thanks to the tables and charts, it will be easy to understand.', 'perfect-survey') ?>
          </p>
        </div>
      </div>
      <hr>
      <div class="feature-section has-1-columns">
        <h2><?php _e('Customer Satisfaction? Discover everything with Perfect Survey.', 'perfect-survey') ?></h2>
        <p class="about-description">
          <?php _e('Get to know your customers better to make the right decisions.', 'perfect-survey') ?>
        </p>
      </div>
      <div class="has-4-columns is-fullwidth">
        <div class="column">
          <h4><?php _e('Customer Satisfaction?', 'perfect-survey') ?></h4>
          <p><?php _e('Get real-time feedback to improve products, services, and business overall.', 'perfect-survey') ?></p>
        </div>
        <div class="column">
          <h4><?php _e('Learning? The right tool.', 'perfect-survey') ?></h4>
          <p><?php _e('With Perfectsurvey, you can create exercises or tests for education. With detailed statistics.', 'perfect-survey') ?></p>
        </div>
        <div class="column">
          <h4><?php _e('Market Research', 'perfect-survey') ?></h4>
          <p><?php _e('Keep track of industry and market trends to stay ahead of the competition.', 'perfect-survey') ?></p>
        </div>
        <div class="column">
          <h4><?php _e('Employee Engagement', 'perfect-survey') ?></h4>
          <p><?php _e('Understand how to retain the best talent and build employee satisfaction.', 'perfect-survey') ?></p>
        </div>
      </div>
      <hr>
      <div class="feature-section has-1-columns">
        <h2><?php _e('Type of custom question fields', 'perfect-survey') ?></h2>
      </div>
      <div class="has-4-columns is-fullwidth">
        <div class="column">
          <div class="image-iconer">
            <img alt="<?php _e('Single choice', 'perfect-survey') ?>" src="<?php echo esc_url(plugins_url('backend/assets/img/radio-150x150.png', dirname(__FILE__))); ?>">
          </div>
          <h4><?php _e('Single choice', 'perfect-survey') ?></h4>
          <p><?php _e('Useful for creating a series of answers that allow only one selection', 'perfect-survey') ?></p>
        </div>
        <div class="column">
          <div class="image-iconer">
            <img alt="<?php _e('Multiple choice', 'perfect-survey') ?>" src="<?php echo esc_url(plugins_url('backend/assets/img/check-150x150.png', dirname(__FILE__))); ?>">
          </div>
          <h4><?php _e('Multiple choice', 'perfect-survey') ?></h4>
          <p><?php _e('Similar to Single choice but accept multiple selections', 'perfect-survey') ?></p>
        </div>
        <div class="column">
          <div class="image-iconer">
            <img alt="<?php _e('Text answer', 'perfect-survey') ?>" src="<?php echo esc_url(plugins_url('backend/assets/img/jolly-150x150.png', dirname(__FILE__))); ?>">
          </div>
          <h4><?php _e('Text answer', 'perfect-survey') ?></h4>
          <p><?php _e('Text answer is a Jolly field, it allows you to create fields like text area. date field, number, email, text', 'perfect-survey') ?></p>
        </div>
        <div class="column">
          <div class="image-iconer">
            <img alt="<?php _e('Custom text', 'perfect-survey') ?>" src="<?php echo esc_url(plugins_url('backend/assets/img/text-150x150.png', dirname(__FILE__))); ?>">
          </div>
          <h4><?php _e('Custom text', 'perfect-survey') ?></h4>
          <p><?php _e('If you need to insert explanations between the questions, Custom text helps you with wysiwyg editor', 'perfect-survey') ?></p>
        </div>
      </div>
      <div class="has-4-columns is-fullwidth">
        <div class="column">
          <div class="image-iconer">
            <img alt="<?php _e('Matrix', 'perfect-survey') ?>" src="<?php echo esc_url(plugins_url('backend/assets/img/matrix-150x150.png', dirname(__FILE__))); ?>">
          </div>
          <h4><?php _e('Matrix', 'perfect-survey') ?></h4>
          <p><?php _e('A field that crosses two different inputs, used for evaluations', 'perfect-survey') ?></p>
        </div>
        <div class="column">
          <div class="image-iconer">
            <img alt="<?php _e('Rating', 'perfect-survey') ?>" src="<?php echo esc_url(plugins_url('backend/assets/img/rating-150x150.png', dirname(__FILE__))); ?>">
          </div>
          <h4><?php _e('Rating', 'perfect-survey') ?></h4>
          <p><?php _e('If you need a rating scale this is the right field, choose from a myriad of icons', 'perfect-survey') ?></p>
        </div>
        <div class="column">
          <div class="image-iconer">
            <img alt="<?php _e('Multiple rating', 'perfect-survey') ?>" src="<?php echo esc_url(plugins_url('backend/assets/img/multirating-150x150.png', dirname(__FILE__))); ?>">
          </div>
          <h4><?php _e('Multiple rating', 'perfect-survey') ?></h4>
          <p><?php _e('It is the same as Rating but allows you to create a multiple Rating field with custom icons', 'perfect-survey') ?></p>
        </div>
        <div class="column">
          <div class="image-iconer">
            <img alt="<?php _e('Images choice', 'perfect-survey') ?>" src="<?php echo esc_url(plugins_url('backend/assets/img/image-150x150.png', dirname(__FILE__))); ?>">
          </div>
          <h4><?php _e('Images choice', 'perfect-survey') ?></h4>
          <p><?php _e('Used to create an image selection field, you can choose between multiple or single selection', 'perfect-survey') ?></p>
        </div>
      </div>
    </div>
    <div class="clear"></div>
  </div>
